Bug 1425221 - [RFE] The container dashboard graphs must be available as soon as possible
Summary: [RFE] The container dashboard graphs must be available as soon as possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 21:56 UTC by Federico Simoncelli
Modified: 2017-05-31 14:35 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:35:52 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Federico Simoncelli 2017-02-20 21:56:41 UTC
Description of problem:
At the moment it takes at least 24 hours before the container dashboard will display the metrics graphs (because some are daily trends).
We should improve the dashboard to tune automatically for the interval of display based on availability.
AFAIK this means that the dashboard will be fully populated in 15 minutes or so (since C&U was enabled).

There is currently an ongoing work here:

https://github.com/ManageIQ/manageiq-ui-classic/pull/33

Comment 2 Federico Simoncelli 2017-03-14 12:56:15 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/519

Comment 3 Einat Pacifici 2017-03-23 11:49:11 UTC
Verified in 5.8.0.7. 
Steps to reproduce: 
Add provider
Set in Configuration --> C&U
wait 10 min. 
View Compute --> Containers --> Overview
All graphs are displayed with content at an hourly resolution.

Comment 5 errata-xmlrpc 2017-05-31 14:35:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.